(function () {
    var actions = shmi.pkg("visuals.session.userActions"); //get reference to userActions object
    /**
      * Checks if WebIQ project runs in preview mode or via webserver
      * -  preview is started via protocol file:
      * -  normal  is started via protocol http: https:
      * @returns true=preview false=normal view
      */
    function isWebIqPreview() {
        return window.location.host === ""
    }
    /**
     * Display how-to articel in new window
     * @param {string} parameters[0]  sUrl
     *
     */
    actions["_showHelp"] = function (parameters) {
        if (isWebIqPreview()) {
            shmi.notify("Feature are only available when running in Webbrowser", "warning")
            return
        }
        sURL = parameters[0]
        window.open(sURL, "_docWin")
    };
}());